#include "config.h"


#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) gettext(String)
#ifdef gettext_noop
#define N_(String) gettext_noop(String)
#else
#define N_(String) (String)
#endif
#else /* NLS = 0 */
#define _(String) (String)
#define N_(String) (String)
#endif

#define MAXBUFFER_SIZE 1000 /* taille du paquet de donnes envoy a chaque fois */

GtkWidget *statusbar;
GtkWidget *progressbar;
GtkWidget *clist_l;
GtkWidget *clist_r;
GtkWidget *txte_l,*txte_r;
GtkWidget *abort_btn, *disconnect_btn, *cd_up_remote_btn, *reload_remote_btn;

gboolean connected;
gboolean working;
gboolean transfert;
gint timer;

GtkWidget *text;
GString *host,*port;

gboolean bool;

void errorbox(gchar *msg);
void ok(GtkWidget *w, gpointer data);
void notok(GtkWidget *w, gpointer data);
void ask(gchar *title, gchar *question);

GdkPixmap *dir;
GdkPixmap *diropen;
GdkBitmap *dirmask;
GdkBitmap *diropenmask;

void change_toolbar_style();
void hide_toolbar(gboolean hide);
